<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:op="utc.fr:ics/opale3" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" xmlns:java="http://xml.apache.org/xslt/java" xmlns:rbs="scpf.org:opale/rubis" exclude-result-prefixes="sfacet op sp java rbs " extension-element-prefixes="sfacet op sp java rbs " >

<xsl:param name="pItem"/>
<xsl:param name="pIdSubItem"/>
<xsl:param name="pOutlineContext"/>
<xsl:param name="pIncludeTitle"/>

<xsl:template match="/sc:item">
<xsl:choose>
<xsl:when test="$pIdSubItem">
<itemRoot xp="id('{$pIdSubItem}')">
<xsl:if test="$pIncludeTitle"><xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="titleNode"/></xsl:if>
<xsl:apply-templates select="id($pIdSubItem)/*[last()]" mode="children"/>
</itemRoot>
</xsl:when>
<xsl:otherwise>
<itemRoot xp="sc:item">
<xsl:if test="$pIncludeTitle"><xsl:apply-templates select="rbs:assesment" mode="titleNode"/></xsl:if>
<xsl:apply-templates select="rbs:assesment" mode="children"/>
</itemRoot>
</xsl:otherwise>
</xsl:choose>
</xsl:template>

<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="rbs:assesment">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:uM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="rbs:assesment">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="rbs:assesment/sp:conclu">
<node name="Conclusion" xp="rbs:assesment/sp:conclu[{count(preceding-sibling::sp:conclu) + 1}]">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline includeTitle="true" refUri="{@sc:refUri}"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates mode="titleNode" select="*[last()]"/>
<xsl:apply-templates mode="children" select="*[last()]"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="rbs:assesmentDiv">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="rbs:assesmentDivM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="rbs:assesmentDiv">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="op:coQuiz">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="op:coQuiz">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="op:cloze">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="op:res">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="op:res">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="op:txtRes">
<xsl:variable name="vTitle"/>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="op:txtRes">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="op:field">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="op:mcqMur">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="op:mcqSur">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="op:mcqMurMap">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="op:mcqMurSum">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="op:mcqSurPts">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="op:ordWord">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="op:match">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="op:exeM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="op:label">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="op:label">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="op:labelImg">
<titleNode title=""/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="op:labelImg">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="titleNode" match="rbs:pre">
<xsl:variable name="vTitle"><title><xsl:for-each xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="rbs:preM"><xsl:value-of select="sp:title"/></xsl:for-each></title></xsl:variable>
<xsl:variable select="string($vTitle)" name="vTitleInMeta"/>
<titleNode title="{$vTitleInMeta}"/>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" mode="children" match="rbs:pre">
<children>
<xsl:apply-templates/>
</children>
</xsl:template>
<xsl:template xmlns:sfacet="xalan://com.scenari.m.bdp.facet.outline.XslExtFacet" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="rbs:pre/sp:pre">
<node name="Pré-requis" xp="rbs:pre/sp:pre[{count(preceding-sibling::sp:pre) + 1}]">
<xsl:choose>
<xsl:when test="@sc:refUri">
<sfacet:callOutline includeTitle="true" refUri="{@sc:refUri}"/>
</xsl:when>
<xsl:otherwise>
<xsl:apply-templates mode="titleNode" select="*[last()]"/>
<xsl:apply-templates mode="children" select="*[last()]"/>
</xsl:otherwise>
</xsl:choose>
</node>
</xsl:template>


<xsl:template match="node()|@*"/>
<xsl:template match="node()|@*" mode="titleNode"/>
<xsl:template match="node()|@*" mode="children"/>
</xsl:stylesheet>