<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
    xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
	xmlns:op="utc.fr:ics/opale3"
	xmlns:rbs="scpf.org:opale/rubis">

	<xsl:output encoding="UTF-8" method="xml" indent="yes" />
	
	<xsl:template match="sp:coQuizStep">
		<xsl:choose>
			<xsl:when test="@sc:refUri">
				<xsl:variable name="vRefUri">
					<xsl:call-template name="getExtension">
						<xsl:with-param name="pRefUri" select="@sc:refUri"/>
					</xsl:call-template>
				</xsl:variable>
				<sp:coQuizStep sc:refUri="{$vRefUri}">
					<xsl:apply-templates select="*" />
				</sp:coQuizStep>
			</xsl:when>
			<xsl:otherwise>
				<xsl:copy>
					<xsl:apply-templates select="node() | @*" />
				</xsl:copy>
			</xsl:otherwise>
		</xsl:choose>
		
	</xsl:template>
	
	<xsl:template match="rbs:coQuiz">
		<op:coQuiz>
			<xsl:apply-templates select="*" />
		</op:coQuiz>
	</xsl:template>
	
	<xsl:template match="rbs:coQuiz//sp:mcqSQuestStep">
		<sp:trainUcMcqSur>
			<xsl:apply-templates select="*" />
		</sp:trainUcMcqSur>
	</xsl:template>
	
	<xsl:template match="rbs:coQuiz//sp:mcqMQuestStep">
		<sp:trainUcMcqMur>
			<xsl:apply-templates select="*" />
		</sp:trainUcMcqMur>
	</xsl:template>
	
	<xsl:template match="rbs:coQuiz//sp:fieldQuestStep">
		<sp:trainUcField>
			<xsl:apply-templates select="*" />
		</sp:trainUcField>
	</xsl:template>
	
	<xsl:template name="getExtension">
		<xsl:param name="pRefUri"/>
		<xsl:choose>
			<xsl:when test="substring-after($pRefUri,'.') = 'quiz'">
				<xsl:value-of select="concat(substring-before($pRefUri,'.'),'.xml')"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="getExtension">
					<xsl:with-param name="pRefUri" select="substring-after($pRefUri,'.')"/>
				</xsl:call-template>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="node() | @*">
		<xsl:copy>
			<xsl:apply-templates select="node() | @*" />
		</xsl:copy>
	</xsl:template>

</xsl:stylesheet>
